Skip to content

Payment History

Request

List payments

Security
bearerAuth
Query
countrystring(ApiCountry)required
Enum:"BGD""IND""PAK""PHL""NPL""EGY""VNM""NGA"
limitinteger, [ 0 .. 1000 ](Limit)
Default:20
offsetinteger, >= 0(Offset)
Default:0
sorting_orderstring(SortingOrder)

Sort direction on timestamp. Defaults to desc (newest first). Note GET /v3/payments names this direction and defaults to asc.

Default:"desc"
Enum:"asc""desc"
start_tsstring or null(Start Ts)
Any of:
string (date-time)
end_tsstring or null(End Ts)
Any of:
string (date-time)
statusArray of strings or null(Status)
Any of:
<= 9 items
Array of strings
search_typeSearchType (string) or null(Search Type)
Any of:
string(SearchType)
Enum:"id""external_id""linked_txn"
search_termstring or null(Search Term)
Any of:
string
curl -i -X GET \
  'https://docs.leanx.me/_mock/openapi/v2/payments?country=BGD&limit=20&offset=0&sorting_order=asc&start_ts=2019-08-24T14%3A15%3A22Z&end_ts=2019-08-24T14%3A15%3A22Z&status=queued&search_type=id&search_term=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Successful Response

Bodyapplication/json
Array [
idstring, (uuid)(Id)required
orderany(Payment)required
responsePaymentResponseLive (object) or nullrequired
Any of:
quoteobject(QuoteResponse)required
accountValidateBeneficiaryResponsePublic (object) or null
Any of:
]
Response
[ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "order": { … }, "response": { … }, "quote": { … }, "account": { … } } ]